summaryrefslogtreecommitdiffstats
path: root/repoman/bin/createfileimage
diff options
context:
space:
mode:
authoririna <irinagomez@us.es>2017-11-08 13:22:41 +0000
committeririna <irinagomez@us.es>2017-11-08 13:22:41 +0000
commit744ecd6404213903f08b712aa4fac5ea19fa3201 (patch)
tree3ceab32680e6accc72a7a7f3bff9a1ffacc0cb7a /repoman/bin/createfileimage
parent043e67df0eb136868ca7d5852e9753026cb23bb8 (diff)
#770 Script de servidor sincronizadas: si no existe fichero de idioma toma por defecto el castellano.
git-svn-id: https://opengnsys.es/svn/branches/version1.1@5503 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'repoman/bin/createfileimage')
-rwxr-xr-xrepoman/bin/createfileimage65
1 files changed, 65 insertions, 0 deletions
diff --git a/repoman/bin/createfileimage b/repoman/bin/createfileimage
new file mode 100755
index 00000000..4fcd7d9d
--- /dev/null
+++ b/repoman/bin/createfileimage
@@ -0,0 +1,65 @@
+#!/bin/bash
+#/**
+# createtimage
+#@brief Crea o redimensiona el archivo de la imagen.
+#@param 1 imagen
+#@param 2 extension [ img|diff ]
+#@param 3 tamaño de la imagen en kb.
+#@return
+#@exception OG_ERR_FORMAT # 1 formato incorrecto.
+#@exception OG_ERR_DONTSYNC_IMAGE #71 Imagen no sincronizable (es monolitica)
+#@version 1.0 - Montar imagen sincronizable
+#@author Irina Gomez
+#@date 2013-05-23
+#*/ ##
+BASEDIR=/opt/opengnsys
+REPODIR="$BASEDIR/images"
+REPOLOG=$BASEDIR/log/ogAdmRepo.log
+# Cargamos los mensajes en el idioma del sistema.
+# Comprobamos que el fichero de idioma existe. Si no "es_ES" por defecto.
+ls $BASEDIR/client/etc/lang.$LANG.conf &>/dev/null
+[ $? -eq 0 ] || LANG="es_ES"
+source $BASEDIR/client/etc/lang.$LANG.conf
+
+PROG="$(basename $0)"
+# Si se solicita, mostrar ayuda.
+if [ "$*" == "help" ]; then
+ echo -e " $PROG: $MSG_HELP_ogCreateFileImage \n" \
+ "$MSG_FORMAT: $PROG image [ img|diff ] size_kb \n" \
+ "base -> $PROG Windows7 img 3900000 \n" \
+ "diff -> $PROG Ubuntu12 diff 450000"
+ exit 0
+fi
+
+[ $# -lt 3 ] && echo -e "$PROG: Error: $MSG_ERR_FORMAT \n $MSG_FORMAT: $PROG image [ img | diff ] size_Kb " && exit 1
+
+if [ "$USER" != "root" ]; then
+ echo "$PROG: Error: solo ejecutable por root" >&2
+ exit 1
+fi
+
+IMGEXT="$2"
+
+# Si existe imagen, Comprobamos que no esta bloqueada y que es sincronizable
+IMGFILE="$REPODIR/$1.$IMGEXT"
+if [ -f $IMGFILE ]; then
+ [ -f $IMGFILE.lock ] && echo "$PROG: Error: $MSG_ERR_LOCKED $1 $IMGEXT" && exit 4
+
+
+ if ! file $IMGFILE | grep -i -e " BTRFS Filesystem " -e " ext4 filesystem " >/dev/null ; then
+ echo "$PROG: Error: $MSG_ERR_DONTSYNC_IMAGE $1 $2"
+ exit 71
+ fi
+fi
+
+touch $IMGFILE.lock
+
+# El tamaño minimo de la imagen es 300000 para poder formatear en fs btrfs.
+SIZEREQUIRED=$3
+[ $SIZEREQUIRED -lt 300000 ] && SIZEREQUIRED=300000
+
+echo CREATE_IMAGE "$1" $IMGEXT $SIZEREQUIRED
+echo -ne CREATE_IMAGE "$1" $IMGEXT $SIZEREQUIRED| /opt/opengnsys/sbin/ogAdmRepoAux || exit $?
+echo "Los resultado se registran en $REPOLOG. "
+
+rm $IMGFILE.lock